import matplotlib.pyplot as plt
import numpy as np
x = np.linspace(-5, 5, 15)
plt.subplot(3, 1, 1)
plt.plot(x, x**2, 'r')
plt.grid(True)
plt.xlim(-5, 5)
plt.subplot(3, 1, 2)
plt.plot(x, x**3, 'g')
plt.grid(True)
plt.xlim(-5, 5)
plt.subplot(3, 1, 3)
plt.plot(x, x**2, 'r', x, x**3, 'g')
plt.grid(True)
plt.xlim(-5, 5)
plt.savefig("fig3.png", dpi=72)
plt.show()
